;InnoSetupVersion=4.0.5

[Setup]
AppName=PhoA
AppVerName=PhoA v1.1.1b
AppId=PhoA
AppVersion=1.1.1b
AppPublisher=DaleTech
AppPublisherURL=http://phoa.narod.ru/
AppSupportURL=mailto:phoa@narod.ru
AppUpdatesURL=http://phoa.narod.ru/
AppMutex=PHOA_RUNNING_MUTEX
DefaultDirName={pf}\DaleTech\PhoA
DefaultGroupName=PhoA (Photo Album)
OutputBaseFilename=phoa-setup
Compression=bzip2
PrivilegesRequired=none
ChangesAssociations=yes
AllowNoIcons=yes
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\phoa.exe"; DestDir: "{app}"; Components: main; 
Source: "{app}\phoa-eng.chm"; DestDir: "{app}"; Components: help\en; 
Source: "{app}\phoa-rus.chm"; DestDir: "{app}"; Components: help\ru; 
Source: "{app}\Sample album\sample.phoa"; DestDir: "{app}\Sample album"; Components: sample; 
Source: "{app}\Sample album\goldgate.jpg"; DestDir: "{app}\Sample album"; Components: sample; 
Source: "{app}\Sample album\river.jpg"; DestDir: "{app}\Sample album"; Components: sample; 
Source: "{app}\Sample album\illusion.png"; DestDir: "{app}\Sample album"; Components: sample; 
Source: "{app}\API\phMetadata.pas"; DestDir: "{app}\API"; Components: api; 
Source: "{app}\API\phPhoa.pas"; DestDir: "{app}\API"; Components: api; 

[Registry]
Root: HKCR; Subkey: ".phoa"; ValueType: String; ValueData: "phoa.photoalbum"; Tasks: associate; Flags: uninsdeletevalue uninsdeletekeyifempty 
Root: HKCR; Subkey: "phoa.photoalbum"; ValueType: String; ValueData: " PhoA"; Tasks: associate; Flags: uninsdeletevalue uninsdeletekeyifempty 
Root: HKCR; Subkey: "phoa.photoalbum\shell\open\command"; ValueType: String; ValueData: """{app}\phoa.exe"" ""%1"""; Tasks: associate; Flags: uninsdeletevalue uninsdeletekeyifempty 
Root: HKCR; Subkey: "phoa.photoalbum\DefaultIcon"; ValueType: String; ValueData: """{app}\phoa.exe"",1"; Tasks: associate; Flags: uninsdeletevalue uninsdeletekeyifempty 
Root: HKCU; Subkey: "Software\DaleTech\PhoA\Preferences"; ValueName: "@ISettingID_Gen_Language"; ValueType: String; ValueData: "1033"; Languages: "en"; Flags: uninsdeletevalue uninsdeletekeyifempty 
Root: HKCU; Subkey: "Software\DaleTech\PhoA\Preferences"; ValueName: "@ISettingID_Gen_Language"; ValueType: String; ValueData: "1049"; Languages: "ru"; Flags: uninsdeletevalue uninsdeletekeyifempty 

[INI]
FileName: "{app}\phoa.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://phoa.narod.ru/en/"; 
FileName: "{app}\phoa.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://phoa.narod.ru/"; 

[Run]
Filename: "{app}\phoa.exe"; Parameters: "{code:PhoaStartupParams|}"; Description: "Run PhoA"; Languages: "en"; Flags: postinstall skipifsilent nowait
Filename: "{app}\phoa.exe"; Parameters: "{code:PhoaStartupParams|}"; Description: " PhoA"; Languages: "ru"; Flags: postinstall skipifsilent nowait

[Icons]
Name: "{group}\PhoA"; Filename: "{app}\phoa.exe"; Comment: "Picture arranging program"; Components: main; Languages: "en"; 
Name: "{group}\PhoA help (Russian)"; Filename: "{app}\phoa-rus.chm"; Comment: "PhoA help (Russian)"; Components: help\ru; Languages: "en"; 
Name: "{group}\PhoA help (English)"; Filename: "{app}\phoa-eng.chm"; Comment: "PhoA help (English)"; Components: help\en; Languages: "en"; 
Name: "{group}\Sample photo album"; Filename: "{app}\phoa.exe"; Parameters: """{app}\Sample album\sample.phoa"""; IconFilename: "{app}\phoa.exe"; IconIndex: 1; Comment: "Sample PhoA photo album"; Components: sample; Languages: "en"; 
Name: "{group}\PhoA home site"; Filename: "{app}\phoa.url"; Comment: "phoa.narod.ru"; Components: main; Languages: "en"; 
Name: "{group}\Uninstall PhoA"; Filename: "{uninstallexe}"; Comment: "Completely remove PhoA and all its components"; Components: main; Languages: "en"; 
Name: "{commondesktop}\PhoA"; Filename: "{app}\phoa.exe"; Comment: "Picture arranging program"; Components: main; Tasks: desktopicon\common; Languages: "en"; 
Name: "{userdesktop}\PhoA"; Filename: "{app}\phoa.exe"; Comment: "Picture arranging program"; Components: main; Tasks: desktopicon\user; Languages: "en"; 
Name: "{code:QuickLaunch|{pf}}\PhoA"; Filename: "{app}\phoa.exe"; Comment: "Picture arranging program"; Components: main; Tasks: quicklaunchicon; Languages: "en"; 
Name: "{group}\PhoA"; Filename: "{app}\phoa.exe"; Comment: "      "; Components: main; Languages: "ru"; 
Name: "{group}\  PhoA ()"; Filename: "{app}\phoa-rus.chm"; Comment: "    PhoA"; Components: help\ru; Languages: "ru"; 
Name: "{group}\  PhoA (English)"; Filename: "{app}\phoa-eng.chm"; Comment: "PhoA help"; Components: help\en; Languages: "ru"; 
Name: "{group}\ "; Filename: "{app}\phoa.exe"; Parameters: """{app}\Sample album\sample.phoa"""; IconFilename: "{app}\phoa.exe"; IconIndex: 1; Comment: "  PhoA"; Components: sample; Languages: "ru"; 
Name: "{group}\ PhoA"; Filename: "{app}\phoa.url"; Comment: "phoa.narod.ru"; Components: main; Languages: "ru"; 
Name: "{group}\ PhoA"; Filename: "{uninstallexe}"; Comment: "  PhoA    "; Components: main; Languages: "ru"; 
Name: "{commondesktop}\PhoA"; Filename: "{app}\phoa.exe"; Comment: "      "; Components: main; Tasks: desktopicon\common; Languages: "ru"; 
Name: "{userdesktop}\PhoA"; Filename: "{app}\phoa.exe"; Comment: "      "; Components: main; Tasks: desktopicon\user; Languages: "ru"; 
Name: "{code:QuickLaunch|}\PhoA"; Filename: "{app}\phoa.exe"; Comment: "      "; Components: main; Tasks: quicklaunchicon; Languages: "ru"; 

[Tasks]
Name: "desktopicon"; Description: "Create a &Desktop icon"; GroupDescription: "Additional icons:"; Languages: "en"; 
Name: "desktopicon\common"; Description: "For all users"; GroupDescription: "Additional icons:"; Languages: "en"; 
Name: "desktopicon\user"; Description: "For the current user only"; GroupDescription: "Additional icons:"; Languages: "en"; 
Name: "quicklaunchicon"; Description: "Create a &Quick Launch icon"; GroupDescription: "Additional icons:"; Languages: "en"; 
Name: "associate"; Description: "&Associate .phoa extension with PhoA (recommended)"; GroupDescription: "Other:"; Languages: "en"; 
Name: "desktopicon"; Description: "   & "; GroupDescription: " :"; Languages: "ru"; 
Name: "desktopicon\common"; Description: "  "; GroupDescription: " :"; Languages: "ru"; 
Name: "desktopicon\user"; Description: "   "; GroupDescription: " :"; Languages: "ru"; 
Name: "quicklaunchicon"; Description: "    & "; GroupDescription: " :"; Languages: "ru"; 
Name: "associate"; Description: "&  .phoa   PhoA ()"; GroupDescription: ":"; Languages: "ru"; 

[Components]
Name: "main"; Description: "Main Files"; Types: "full compact custom"; Languages: "en"; 
Name: "help"; Description: "Help Files"; Types: "full"; Languages: "en"; 
Name: "help\en"; Description: "English"; Types: "full"; Languages: "en"; 
Name: "help\ru"; Description: "Russian"; Types: "full"; Languages: "en"; 
Name: "sample"; Description: "Sample photo album"; Types: "full"; Languages: "en"; 
Name: "api"; Description: "PhoA API"; Types: "full"; Languages: "en"; 
Name: "main"; Description: " "; Types: "full compact custom"; Languages: "ru"; 
Name: "help"; Description: "  "; Types: "full"; Languages: "ru"; 
Name: "help\en"; Description: " "; Types: "full"; Languages: "ru"; 
Name: "help\ru"; Description: " "; Types: "full"; Languages: "ru"; 
Name: "sample"; Description: " "; Types: "full"; Languages: "ru"; 
Name: "api"; Description: "PhoA API"; Types: "full"; Languages: "ru"; 

[UninstallDelete]
Type: files; Name: "{app}\phoa.url"; 
Type: dirifempty; Name: "{app}"; 

[Types]
Name: "full"; 
Name: "compact"; 
Name: "custom"; 

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "en"; MessagesFile: "embedded\en.isl"; LicenseFile: "embedded\enLicense.rtf"; 
Name: "ru"; MessagesFile: "embedded\ru.isl"; LicenseFile: "embedded\ruLicense.rtf"; 
